Summary:	Document manager for GNOME
Summary(pl.UTF-8):	Zarządca dokumentów dla GNOME
Name:		gnome-documents
Version:	3.18.1
Release:	2
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-documents/3.18/%{name}-%{version}.tar.xz
# Source0-md5:	403025e0159e147f9f1c944d4873d06d
URL:		https://wiki.gnome.org/Apps/Documents
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	clutter-devel >= 1.10.0
BuildRequires:	clutter-gtk-devel >= 1.4.0
BuildRequires:	evince-devel >= 3.14.0
BuildRequires:	gettext-tools
BuildRequires:	gjs-devel
BuildRequires:	glib2-devel >= 1:2.40.0
BuildRequires:	gnome-desktop-devel >= 3.2.0
BuildRequires:	gnome-online-accounts-devel >= 3.2.0
BuildRequires:	gobject-introspection-devel >= 1.32.0
BuildRequires:	gtk+3-devel >= 3.16.0
BuildRequires:	gtk-webkit4-devel >= 2.6.0
BuildRequires:	intltool >= 0.50.1
BuildRequires:	libgdata-devel >= 0.13.3
BuildRequires:	libsoup-devel >= 2.42.0
BuildRequires:	libtool
BuildRequires:	libxslt-progs
BuildRequires:	libzapojit-devel >= 0.0.2
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	tar >= 1:1.22
BuildRequires:	tracker-devel >= 1.0.0
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	glib2 >= 1:2.40.0
Requires:	clutter-gtk >= 1.4.0
Requires:	evince >= 3.14.0
Requires:	glib2 >= 1:2.40.0
Requires:	gnome-online-accounts >= 3.2.0
Requires:	gobject-introspection >= 1.32.0
Requires:	gtk+3 >= 3.16.0
Requires:	gtk-webkit4 >= 2.6.0
Requires:	hicolor-icon-theme
Requires:	libgdata >= 0.13.3
Requires:	libsoup >= 2.42.0
Requires:	libzapojit >= 0.0.2
Requires:	tracker >= 1.0.0
Suggests:	unoconv >= 0.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gnome-documents is a document manager application for GNOME.

%description -l pl.UTF-8
gnome-documents to aplikacja dla GNOME służąca do zarządzania
dokumentami.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4 -I libgd
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gnome-documents/*.la

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%glib_compile_schemas

%files -f gnome-documents.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_bindir}/gnome-books
%attr(755,root,root) %{_bindir}/gnome-documents
%dir %{_libdir}/gnome-documents
%attr(755,root,root) %{_libdir}/gnome-documents/libgd.so
%attr(755,root,root) %{_libdir}/gnome-documents/libgdprivate-1.0.so
%dir %{_libdir}/gnome-documents/girepository-1.0
%{_libdir}/gnome-documents/girepository-1.0/Gd-1.0.typelib
%{_libdir}/gnome-documents/girepository-1.0/GdPrivate-1.0.typelib
%{_datadir}/appdata/org.gnome.Books.appdata.xml
%{_datadir}/appdata/org.gnome.Documents.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Books.service
%{_datadir}/dbus-1/services/org.gnome.Documents.service
%{_datadir}/glib-2.0/schemas/org.gnome.Documents.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.books.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.documents.gschema.xml
%{_datadir}/gnome-documents
%{_datadir}/gnome-shell/search-providers/org.gnome.Documents.search-provider.ini
%{_desktopdir}/org.gnome.Books.desktop
%{_desktopdir}/org.gnome.Documents.desktop
%{_iconsdir}/hicolor/*x*/apps/gnome-books.png
%{_iconsdir}/hicolor/*x*/apps/gnome-documents.png
%{_iconsdir}/hicolor/scalable/apps/gnome-books-symbolic.svg
%{_iconsdir}/hicolor/scalable/apps/gnome-documents-symbolic.svg
%{_mandir}/man1/gnome-books.1*
%{_mandir}/man1/gnome-documents.1*
%changelog
* Thu Oct 22 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-documents.git;a=log;h=master

* Thu Oct 22 2015 Jakub Bogusz <qboosh@pld-linux.org> 1ba2d55
- release 2 (libgdata rebuild)

* Sat Oct 17 2015 Jakub Bogusz <qboosh@pld-linux.org> 9048a49
- updated to 3.18.1

* Fri Oct 02 2015 Łukasz Kieś <kiesiu@pld-linux.org> 9ad7801
- updated to 3.18.0

* Fri Aug 28 2015 Łukasz Kieś <kiesiu@pld-linux.org> fc94a01
- updated to 3.16.3

* Thu Jul 16 2015 Jan Rękorajski <baggins@pld-linux.org> 8cbbc2a
- release 2 (by relup.sh)

* Sun May 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 4f6d858
- updated to 3.16.2

* Sun May 24 2015 Jakub Bogusz <qboosh@pld-linux.org> cd69a89
- pl

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> d4dc5d9
- updated gettext BR

* Mon Dec 01 2014 Łukasz Kieś <kiesiu@pld-linux.org> d807cee
- updated to 3.14.2

* Sat Nov 01 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 614a399
- Update to 3.14.1

* Sun Oct 12 2014 Jan Rękorajski <baggins@pld-linux.org> 286e110
- more evince deps updated

* Sun Oct 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2f922a8
- fixed files and updated evince deps

* Sat Oct 11 2014 Jan Rękorajski <baggins@pld-linux.org> df14cd0
- up to 3.14.0

* Fri May 02 2014 Marcin Banasiak <marcin.banasiak@gmail.com> d6bdc5b
- Update to 3.12.1

* Mon Mar 31 2014 Łukasz Kieś <kiesiu@pld-linux.org> 7b531e6
- updated to 3.12.0

* Fri Mar 14 2014 Łukasz Kieś <kiesiu@pld-linux.org> 3134de3
- updated to 3.10.2

* Sun Nov 17 2013 Łukasz Kieś <kiesiu@pld-linux.org> 7dda81d
- updated to 3.10.1
- new URL

* Sun Sep 29 2013 Marcin Banasiak <marcin.banasiak@gmail.com> c3c5dd1
- Update to 3.10.0

* Sun Aug 18 2013 Jan Rękorajski <baggins@pld-linux.org> 77c7805
- disable parallel make
- rel 2

* Sun Jul 14 2013 Łukasz Kieś <kiesiu@pld-linux.org> 617b507
- updated to 3.8.3.1

